//
//  NMDownloader.m
//  VexAPI
//
//  Created by Nicholas McGuire on 12-07-18.
//  Copyright (c) 2012 RND Consulting. All rights reserved.
//

#import "NMDownloader.h"

static NSString * const kBaseUrl = @"http://vex.herokuapp.com";

@interface NMDownloader()

- (NSString *)createURLFromEndpoint:(NSString *)endpoint;
- (void)sendRequestAsyncWithRequest:(NSURLRequest *)request completionHandler:(void (^)(NSURLResponse*, NSData*, NSError*))handler;

@end

@implementation NMDownloader

- (NSString *)createURLFromEndpoint:(NSString *)endpoint
{
	return [NSString stringWithFormat:@"%@/%@", kBaseUrl, endpoint];
}

- (void)getTeams:(void (^)(NSURLResponse*, NSData*, NSError*))handler {
	NSURLRequest *request = [[NSURLRequest alloc] initWithURL:[NSURL URLWithString:[self createURLFromEndpoint:@"teams.json"]]];
    [self sendRequestAsyncWithRequest:request completionHandler:handler];
}

- (void)sendRequestAsyncWithRequest:(NSURLRequest *)request completionHandler:(void (^)(NSURLResponse*, NSData*, NSError*))handler {
    NSOperationQueue *queue = [[NSOperationQueue alloc] init];
    [queue setName:@"com.nickmcguire.queue"];
    [NSURLConnection sendAsynchronousRequest:request queue:queue completionHandler:handler];
}

@end
