//
//  Team.m
//  VexAPI
//
//  Created by Nick McGuire on 2012-12-07.
//
//

#import "Team.h"

@interface Team ()

@property (assign, nonatomic) NSInteger ID;
@property (assign, nonatomic) NSInteger schoolID;
@property (assign, nonatomic) NSInteger numberOfStudents;
@property (strong, nonatomic) NSString *name;
@property (strong, nonatomic) NSDate *createdAt;
@property (strong, nonatomic) NSDate *updatedAt;

@end

@implementation Team

- (id)initWithDictionary:(NSDictionary *)dictionary
{
	self = [super init];
	if (self)
	{
		_ID = [[dictionary valueForKey:@"id"] integerValue];
		_schoolID = [[dictionary valueForKey:@"school_id"] integerValue];
		_numberOfStudents = [[dictionary valueForKey:@"numStudents"] integerValue];
		_name = [dictionary valueForKey:@"name"];
		_createdAt = [dictionary objectForKey:@"created_at"];
		_updatedAt = [dictionary objectForKey:@"updated_at"];
	}
	return self;
}

- (NSString *)getName
{
	return _name;
}

- (NSInteger )getSchool
{
	return _schoolID;
}

- (NSDate *)getCreatedAt
{
	return _createdAt;
}

@end
